"use strict";

const matchesFormat = require("@validatem/matches-format");

module.exports = [
	// FIXME: Validate format properly
	matchesFormat(/^[^.]+\.[^.]+$/),
	(string) => {
		let [ tableName, columnName ] = string.split(".");
		
		return {
			table: tableName,
			column: columnName
		};
	}
];
